List answers
GET
List customers' answers to a project's questions.
API-key permission: answers read. Business sessions and resource-authorized OAuth tokens are also supported.
cookie
orvelt-biz.session_token<token>An existing Business session. Browser requests must also pass origin and CSRF checks.
projectId*stringMatch
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidpage?integerRange
1 <= value <= 9007199254740991Default
1limit?integerRange
1 <= value <= 100Default
10sort?stringDefault
"newest"Value in
"newest""oldest"query?stringLength
length <= 200Default
""dateFrom?integerRange
0 <= value <= 8640000000000000dateTo?integerRange
0 <= value <= 8640000000000000externalUserId?stringLength
1 <= length <= 256responseId?stringMatch
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidquestionId?stringMatch
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidfamilyId?stringMatch
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidresponseVisibility?stringDefault
"all"Value in
"all""default""private"OK
application/json- response
answers*array<>pagination*curl -X GET 'https://api.orvelt.com/v1/project/497f6eca-6276-4993-bfeb-53cbbbba6f08/answers'Example Response
{
"answers": [
{
"externalUserId": "string",
"id": "string",
"responseId": "string",
"questionId": "string",
"familyId": "string",
"questionVersion": 1,
"question": "string",
"tags": [
"string"
],
"answer": "string",
"selectedOptions": [],
"responseVisibility": "default",
"createdAt": "2019-08-24T14:15:22Z"
}
],
"pagination": {
"page": -9007199254740991,
"limit": -9007199254740991,
"total": -9007199254740991,
"totalPages": -9007199254740991
}
}